Skip navigation

CDN

Manage CDN zones.

CDN

Create zone

POST https://api.kinescope.io/v1/cdn/zones

Creates a new CDN zone. Returns the newly created object on success.

Request body (json)
{
  "name": "cdn.example.com",
  "host": "cdn.example.com",
  "origins": [
    {
      "addr": "test2.example.ru",
      "basic_auth": {
        "username": "user",
        "password": "pass"
      }
    }
  ],
  "access_control": {
    "jwt_secret": "token",
    "secure_link": "link"
  },
  "settings": {
    "ignore_query_strings": true,
    "index_html": "index.html",
    "block_bad_bots": false
  }
}

Get zones

GET https://api.kinescope.io/v1/cdn/zones

Returns a list of CDN zones. Results are paginated and can be filtered via query parameters.

Responses
{
  "data": [
    {
      "id": "<UUID>",
      "workspace_id": "<UUID>",
      "name": "Main CDN",
      "host": "cdn.example.com",
      "origins": [
        {
          "addr": "http://origin-1.example.com:8080",
          "basic_auth": {
            "username": "",
            "password": ""
          }
        },
        {
          "addr": "http://origin-2.example.com:8080",
          "basic_auth": {
            "username": "",
            "password": ""
          }
        }
      ],
      "settings": {
        "access_log": false,
        "index_html": "",
        "block_bad_bots": false,
        "ignore_query_strings": true,
        "max_send_size_bytes": 0
      },
      "access_control": {
        "jwt_secret": "",
        "secure_link": ""
      },
      "created_at": "2022-11-16T15:04:00.850633Z",
      "updated_at": "2025-03-06T17:30:19.449978Z"
    },
    {
      "id": "<UUID>",
      "workspace_id": "<UUID>",
      "name": "Live",
      "host": "live.example.com",
      "origins": [
        {
          "addr": "http://live-origin-1.example.com:8080",
          "basic_auth": {
            "username": "",
            "password": ""
          }
        },
        {
          "addr": "http://live-origin-2.example.com:8080",
          "basic_auth": {
            "username": "",
            "password": ""
          }
        },
        {
          "addr": "http://live-origin-3.example.com:8080",
          "basic_auth": {
            "username": "",
            "password": ""
          }
        }
      ],
      "settings": {
        "access_log": false,
        "index_html": "",
        "block_bad_bots": false,
        "ignore_query_strings": false,
        "max_send_size_bytes": 0
      },
      "access_control": {
        "jwt_secret": "",
        "secure_link": ""
      },
      "created_at": "2023-02-02T12:03:19.728692Z",
      "updated_at": "2025-06-29T07:08:18.10123Z"
    },
    {
      "id": "<UUID>",
      "workspace_id": "<UUID>",
      "name": "Live EU",
      "host": "live-eu.example.com",
      "origins": [
        {
          "addr": "http://live-origin-1.example.com:8080",
          "basic_auth": {
            "username": "",
            "password": ""
          }
        },
        {
          "addr": "http://live-origin-2.example.com:8080",
          "basic_auth": {
            "username": "",
            "password": ""
          }
        },
        {
          "addr": "http://live-origin-3.example.com:8080",
          "basic_auth": {
            "username": "",
            "password": ""
          }
        }
      ],
      "settings": {
        "access_log": false,
        "index_html": "",
        "block_bad_bots": false,
        "ignore_query_strings": false,
        "max_send_size_bytes": 0
      },
      "access_control": {
        "jwt_secret": "",
        "secure_link": ""
      },
      "created_at": "2023-10-31T17:14:38.14698Z",
      "updated_at": "2025-06-29T12:47:50.806065Z"
    }
  ]
}

Update zone

PUT https://api.kinescope.io/v1/cdn/zones/:zone_id

Updates the specified CDN zone. Only fields provided in the request body are changed; others are left unchanged.

Request body (json)
{
  "name": "cdn.example.com",
  "host": "cdn.example.com",
  "origins": [
    {
      "addr": "test.example.ru",
      "basic_auth": {
        "username": "user111",
        "password": "pass222"
      }
    }
  ],
  "access_control": {
    "jwt_secret": "token",
    "secure_link": "link"
  },
  "settings": {
    "ignore_query_strings": true,
    "index_html": "index.html",
    "block_bad_bots": false
  }
}

Delete zone

DELETE https://api.kinescope.io/v1/cdn/zones/:zone_id

Permanently deletes the CDN zone. This action cannot be undone.